	/**
    	字符串格式的日期转换成long值，long为当前时间到1970-1-1的秒数
    	支持转换的日期格式有四种：yyyy-MM-dd HH:mm:ss，yyyy-MM-dd HH，yyyy-MM-dd，yyyy-MM
    */
	function getLongTimeByFmt(dateStr)
    {
    	var str = removeAllSpace(dateStr);
    	var lengths = str.length;
    	var returnVal = 0;
    	var year = 0;
    	var month = 1;
    	var day = 1;
    	var hour = 0;
    	var minute = 0;
    	var mm = 0;
    	if(lengths>=4)
    	{
    		year =  str.substr(0,4);
    	}
    	if(lengths>=6)
    	{
    		if(str.charAt(5)==="0")
    		{
    			month = new Number(str.substr(6,1))-1;
    		}
    		else
    		{
    			month = new Number(str.substr(5,2))-1;
    		}
    		
    	}
		if(lengths >= 10)
		{
			day = str.substr(8,2);
		}  
		if(lengths >= 12)
		{
			hour = str.substr(10,2);
		}  
		if(lengths >= 15)
		{
			minute = str.substr(13,2);
		}  
		if(lengths >= 18)
		{
			mm = str.substr(16,2);
		}
		return new Date(year,month,day,hour,minute,mm).getTime()/1000;
    }
     /**
    	删除String中的空格
    */
    function removeAllSpace(str){   
        var localString = '';   
        for(var index = 0; index<str.length; index++)   
            if(str.charCodeAt(index)!= 32){   
                localString += str.charAt(index);   
            };   
    	return localString;   
    }
   
	//校验开始时间与结束时间不是大于一年	
	function validateDataRange(){
	    var startTime=document.getElementById("startTime").value;
	    var endTime=document.getElementById("endTime").value;
	    var oTimeSpan = getLongTimeByFmt(endTime) - getLongTimeByFmt(startTime);
		if (oTimeSpan >= 365 * 24 * 3600) 
		{
			return false;
		} 
		return true;
	}
	 //校验开始时间格式
    function validateStartDate(){
	    var elDateTime=document.getElementById("startTime");
	  	return commonValidate(elDateTime);
	}
	//校验结束时间格式
	function validateEndDate(){
	    var elDateTime=document.getElementById("endTime");
	  	return commonValidate(elDateTime);
	}
	//校验任务周期里的开始时间格式
	function validatorTaskStartTime(){
	    var elDateTime=document.getElementById("taskStartTime");
	  	return commonValidate(elDateTime);
	}
	//校验任务周期里的结束时间格式
	function validatorTaskEndTime(){
	    var elDateTime=document.getElementById("taskEndTime");
	  	return commonValidate(elDateTime);
	}
	function commonValidate(elDateTime)
	{
		var dateVal = elDateTime.value;
	  	var dateFormat = LegoTag.getDateFormat(Ext.get(elDateTime));//elDateTime.getAttribute("dateformat");
	    var retDate = Date.parseDate(dateVal, dateFormat);
	    if(retDate && retDate.format(dateFormat)!=dateVal)
   		{
    		return TIME_INVAIL;
   		}
	    
	    if(retDate)
	    {
	    	return true;
	    }
	    return TIME_INVAIL;
	}
	
	/**
		把日期转换成指定的日期格式的字符
	*/
	function toStringByPattern(date,pattern) 
	{   
        // 逐个改变表达式的值   
        var month = date.getMonth()+1;
        var day = date.getDate();
        var hour = date.getHours();
        var minute = date.getMinutes();
        var second = date.getSeconds();
        patternpattern = pattern.replace(/yyyy/g, date.getFullYear());   
        patternpattern = patternpattern.replace(/MM/g, month>9?month:'0'+month); 
        patternpattern = patternpattern.replace(/dd/g, day>9?day:'0'+day);   
        patternpattern = patternpattern.replace(/HH/g, hour>9?hour:'0'+hour);   
        patternpattern = patternpattern.replace(/mm/g, minute>9?minute:'0'+minute);   
        patternpattern = patternpattern.replace(/ss/g, second>9?second:'0'+second);   
        // 方法链改变表达式的值(两者任选一个)   
        return patternpattern;   
    }